<ion-item button mode="md" [disabled]="state == SHOPSTATE.Closed || state === SHOPSTATE.ClosedTemporarily">

  <!-- Thumbnail -->
  <ion-thumbnail class="ion-relative" slot="start">
    <ion-img [src]="thumbnail" [alt]="name" class="ion-round" #img
      [class.ion-opacity-0]="!(img.ionImgDidLoad | async)">
    </ion-img>

    <!-- Skeleton -->
    <ion-skeleton-text *ngIf="!(img.ionImgDidLoad | async)" animated
      class="ion-absolute ion-top-0 ion-w-100 ion-h-100 ion-round">
    </ion-skeleton-text>
  </ion-thumbnail>

  <!-- Text -->
  <ion-label color="dark" class="ion-text-wrap">
    <ion-text [color]="stateTextColor" [ngSwitch]="state">
      <small class="ion-font-xs" *ngSwitchCase="SHOPSTATE.Closed">Cerrado por hoy</small>
      <small class="ion-font-xs" *ngSwitchCase="SHOPSTATE.ClosedTemporarily">Cerrado temporalmente</small>
      <small class="ion-font-xs" *ngSwitchDefault></small>
    </ion-text>

    <!-- Title -->
    <h6 class="ion-font-bold ion-pr-5">
      {{ name }}&nbsp;
      
      <ng-template [ngIf]="isNew">
        <ion-badge color="danger" class="ion-mb-n1">Nuevo</ion-badge>
      </ng-template>
    </h6>

    <!-- Features -->
    <ion-text color="medium" class="ion-font-sm">
      <ion-icon name="cash-outline" color="success"></ion-icon>
      {{ acceptCards ? "Pago online" : "Pago en casa" }}

      <div class="ion-flex">
        <ion-text color="medium" class="ion-font-sm">
          <span>{{ delivery ? "Envio " + delivery : "Pickup" }}&nbsp;</span>
          <span>&#8226; Minimo ${{ minPrice }}</span>
        </ion-text>
      </div>
    </ion-text>

  </ion-label>

  <!-- Price -->
  <ion-chip color="warning" class="ion-absolute ion-top-2 ion-right-2 ion-h-auto ion-py-1 ion-px-2 ion-round">
    <ion-text color="warning" class="ion-font-xs">
      <ion-icon name="star" color="warning"></ion-icon>
      <span style="color: var(--ion-color-warning-shade)">&nbsp;{{ rating | number:'1.1-1' }}</span>
    </ion-text>
  </ion-chip>

</ion-item>